<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.util.ints
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.ints package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.util.ints";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package ch.javasoft.util.ints
</H2>
The <tt>util.ints</tt> package contains collection classes where the objects
of interest are integers (primitive or boxed); these classes 
use and extend java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util"><CODE>collection</CODE></A> framework.
<P>
<B>See:</B>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="#package_description"><B>Description</B></A>
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Interface Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A></B></TD>
<TD><code>IntIntMap</code> is an (int) map containing int keys and values</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntIntMap.IntIntEntry.html" title="interface in ch.javasoft.util.ints">IntIntMap.IntIntEntry</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntIterable.html" title="interface in ch.javasoft.util.ints">IntIterable</A></B></TD>
<TD>An <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang"><CODE>Iterable</CODE></A> which returns a <A HREF="../../../../ch/javasoft/util/ints/IntIterator.html" title="interface in ch.javasoft.util.ints"><CODE>IntIterator</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntIterator.html" title="interface in ch.javasoft.util.ints">IntIterator</A></B></TD>
<TD>An <code>IntIterator</code> is an iterator for integers, but
 there is no need to instantiate <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang"><CODE>Integer</CODE></A> objects.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntListIterator.html" title="interface in ch.javasoft.util.ints">IntListIterator</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap&lt;V&gt;</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntMap.IntEntry.html" title="interface in ch.javasoft.util.ints">IntMap.IntEntry&lt;V&gt;</A></B></TD>
<TD>A map entry with integer type for the key</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints">IntSet</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A></B></TD>
<TD>The <code>SortedIntSet</code> ...</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></B></TD>
<TD>Abstract pre-implementation of IntCollection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap</A></B></TD>
<TD><code>AbstractIntIntMap</code> is the superclass for usual maps from int to 
 int.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.ImmutableIntIntEntry.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap.ImmutableIntIntEntry</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.SimpleIntIntEntry.html" title="class in ch.javasoft.util.ints">AbstractIntIntMap.SimpleIntIntEntry</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractIntIterator.html" title="class in ch.javasoft.util.ints">AbstractIntIterator</A></B></TD>
<TD>The <code>AbstractIntIterator</code> is an abstract default pre-implementation
 for those methods which are typically common for an <A HREF="../../../../ch/javasoft/util/ints/IntIterator.html" title="interface in ch.javasoft.util.ints"><CODE>IntIterator</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html" title="class in ch.javasoft.util.ints">AbstractIntList</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractIntListIterator.html" title="class in ch.javasoft.util.ints">AbstractIntListIterator</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html" title="class in ch.javasoft.util.ints">AbstractSortedIntSet</A></B></TD>
<TD>Implementation of IntSet, also implementing SortedSet, but with 
 support limited to positive integers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints">BitSetIntSet</A></B></TD>
<TD>Implementation of IntSet, also implementing SortedSet, but with 
 support limited to positive integers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints">DefaultIntIntMap</A></B></TD>
<TD><code>DefaultIntIntMap</code> is an mutable mapping from int to int.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A></B></TD>
<TD>The <tt>DefaultIntList</tt> is a list of integers backed by an 
 <A HREF="../../../../ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util"><CODE>IntArray</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntListIterator.html" title="class in ch.javasoft.util.ints">DefaultIntListIterator</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntSet.html" title="class in ch.javasoft.util.ints">DefaultIntSet</A></B></TD>
<TD>Implementation of IntSet, also implementing SortedSet, using a sorted int
 array to store the values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntCollections.html" title="class in ch.javasoft.util.ints">IntCollections</A></B></TD>
<TD>The <code>IntCollections</code> contains, like the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collections.html" title="class or interface in java.util"><CODE>Collections</CODE></A> class,
 static helper methods for int collections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints">IntHashMap&lt;V&gt;</A></B></TD>
<TD>Same as <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/HashMap.html" title="class or interface in java.util"><CODE>HashMap</CODE></A>, but implementing <A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints"><CODE>IntMap</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/IntHashMap.IntEntry.html" title="class in ch.javasoft.util.ints">IntHashMap.IntEntry&lt;VV&gt;</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/KeyRangeIntIntMap.html" title="class in ch.javasoft.util.ints">KeyRangeIntIntMap</A></B></TD>
<TD><code>KeyRangeIntIntMap</code> is an immutable mapping from int to int.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../ch/javasoft/util/ints/RangeIntSet.html" title="class in ch.javasoft.util.ints">RangeIntSet</A></B></TD>
<TD>Implementation of IntSet, also implementing SortedSet, for an integer range.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<A NAME="package_description"><!-- --></A><H2>
Package ch.javasoft.util.ints Description
</H2>

<P>
The <tt>util.ints</tt> package contains collection classes where the objects
of interest are integers (primitive or boxed); these classes 
use and extend java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util"><CODE>collection</CODE></A> framework.
<P>

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
